#ifndef EEPAGES_H
#define EEPAGES_H

#define EE_PAGESIZE 4 // Nr of bytes per EEPROM page

#define EE_NEXT(BASE,TYPE) (((BASE) + sizeof(TYPE) + EE_PAGESIZE - 1)/EE_PAGESIZE)

// For new modules using EEPROM:
//  * include module header that defines the parameter struct and
//  * add an #define EE_PAGE_MODULEPARAMS EE_NEXT(...) line below

#include "lidar.h"
#include "drive.h"

#define EE_PAGE_LIDARPARAMS     0
#define EE_PAGE_DRIVEPARAMS     EE_NEXT(EE_PAGE_LIDARPARAMS, lidar_param_t)
// #define EE_PAGE_FOOBARPARAMS    EE_NEXT(EE_PAGE_DRIVEPARAMS, drive_param_t)

#endif
